Advertisement:

Author Topic: Help: after upgrade geeting Unable to load the 'GenericMenu' template.  (Read 1107 times)

Offline onion

  • Newbie
  • *
  • Posts: 7
Hi,
after the upgrade forum seems to be ok , but when I try to open Admin getting this message:
Unable to load the 'GenericMenu' template.

I tried to solve the problem with deleting Cache, but didn't helped.

I do not have old GenericMenu file , like the person in this topic so I'm asking for Your help.

Thanks in advance!

Regards,
sava

Offline Kindred

  • The Mean One
  • Project Manager
  • SMF Master
  • *
  • Posts: 41,598
  • Gender: Male
    • wagner999 on Facebook
    • Kindred-999 on GitHub
    • www.linkedin.com/in/wdwagner/ on LinkedIn
    • @Kindred_999 on Twitter
get a fresh copy of the GenericMenu.template.php from the install archive on the downloads page and then upload it to your server
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support forums.  Thank you.

Offline onion

  • Newbie
  • *
  • Posts: 7
Hi,
as You told me I uploaded fresh copy , but it not helped. Can it be something from languages , because during the upgrade it told me that my language is to old or out of date ?

Offline Kindred

  • The Mean One
  • Project Manager
  • SMF Master
  • *
  • Posts: 41,598
  • Gender: Male
    • wagner999 on Facebook
    • Kindred-999 on GitHub
    • www.linkedin.com/in/wdwagner/ on LinkedIn
    • @Kindred_999 on Twitter
if this is a fresh upgrade, then please try loading a fresh copy of ALL files (in Sources and Themes/default (and sub-directories) from the upgrade package.

What language are you using?   Does the error go away if you switch to English?
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support forums.  Thank you.

Offline onion

  • Newbie
  • *
  • Posts: 7
yes , it is fresh upgrade.
I'll try to upload fresh files in Sources and Themes.

I'm using bulgarian utf-8.

I can't swich languages because get the same message when trying to go to my profile.

Thanks a lot for helping me ! Šppreciate this.

P.S. not worked with fresh files in Sources and Themes. I get the same message on each link in menu except Home , Search and Members.

Is there a way to switch to English without going in Admin ?
Do You think that I can delete whole forum, upload old forum 1.1.4 , upload new language pack and try to upgrade then ?
« Last Edit: March 19, 2012, 12:02:04 PM by onion »

Offline Kindred

  • The Mean One
  • Project Manager
  • SMF Master
  • *
  • Posts: 41,598
  • Gender: Male
    • wagner999 on Facebook
    • Kindred-999 on GitHub
    • www.linkedin.com/in/wdwagner/ on LinkedIn
    • @Kindred_999 on Twitter
ah... that is probably the issue.

get the Bulgarian language pack for 2.0 and upload that into your Themes/default/languages directory.

to reset to English...
in your phpmyadmin
Code: [Select]
UPDATE `smf_members` SET `lngfile`='english' WHERE `id_member`=1
(assuming you are user #1)
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support forums.  Thank you.

Offline onion

  • Newbie
  • *
  • Posts: 7
I updated bulgarian for 2.0 already.

When I change in Settings.php default language to english whola forum is on english , is this correct ?

When I'm not logged in when i click on Help getting: Unable to load the 'manual' template.
When I click on Search it works
When I click on Register getiing: Unable to load the 'GenericControls' template.

If nothing works I will get back to 1.1.4 with my backup , upload language with new one and then will try to upgrade to 2.0.2

Thanks.

Offline Kindred

  • The Mean One
  • Project Manager
  • SMF Master
  • *
  • Posts: 41,598
  • Gender: Male
    • wagner999 on Facebook
    • Kindred-999 on GitHub
    • www.linkedin.com/in/wdwagner/ on LinkedIn
    • @Kindred_999 on Twitter
actually, what it is sounding like is that your upgrade didn't actually upgrade....   I suspect that your old files may not have been overwritten, leaving you with a mixture of old and new files, causing the error.

try this:
Delete your Sources Directory
Delete your Themes directory
Upload the fresh Sources and Themes directories from the Install package.
then re-upload your bulgarian language files.
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support forums.  Thank you.

Offline onion

  • Newbie
  • *
  • Posts: 7
I run upgrade once again and it gives me than can't find script.js

The poblem was in some paths. I find it when I downloaded repair settings from here. When I started it find that some patsh are incorect. Make them right and when run upgrade.php again it gives me NO message about script.js , so I start the upgrade and after it all was OK.

Thanks all.